## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate wasmtime

Name:           rust-%{crate}
Version:        0.33.0
Release:        %autorelease
Summary:        High-level API to expose the Wasmtime runtime

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0
URL:            https://crates.io/crates/wasmtime
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         wasmtime-fix-metadata.diff

# cranelift only supports x86_64, aarch64, and s390x
# * i686:    https://bugzilla.redhat.com/show_bug.cgi?id=1966344
# * armv7hl: https://bugzilla.redhat.com/show_bug.cgi?id=1966346
# * ppc64le: https://bugzilla.redhat.com/show_bug.cgi?id=1966347
ExclusiveArch:  x86_64 aarch64 s390x

BuildRequires:  rust-packaging

%global _description %{expand:
High-level API to expose the Wasmtime runtime.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+all-arch-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+all-arch-devel %{_description}

This package contains library source intended for building other packages which
use the "all-arch" feature of the "%{crate}" crate.

%files       -n %{name}+all-arch-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-devel %{_description}

This package contains library source intended for building other packages which
use the "async" feature of the "%{crate}" crate.

%files       -n %{name}+async-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+async-trait-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-trait-devel %{_description}

This package contains library source intended for building other packages which
use the "async-trait" feature of the "%{crate}" crate.

%files       -n %{name}+async-trait-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cache-devel %{_description}

This package contains library source intended for building other packages which
use the "cache" feature of the "%{crate}" crate.

%files       -n %{name}+cache-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+cranelift-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cranelift-devel %{_description}

This package contains library source intended for building other packages which
use the "cranelift" feature of the "%{crate}" crate.

%files       -n %{name}+cranelift-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+jitdump-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+jitdump-devel %{_description}

This package contains library source intended for building other packages which
use the "jitdump" feature of the "%{crate}" crate.

%files       -n %{name}+jitdump-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+parallel-compilation-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parallel-compilation-devel %{_description}

This package contains library source intended for building other packages which
use the "parallel-compilation" feature of the "%{crate}" crate.

%files       -n %{name}+parallel-compilation-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pooling-allocator-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pooling-allocator-devel %{_description}

This package contains library source intended for building other packages which
use the "pooling-allocator" feature of the "%{crate}" crate.

%files       -n %{name}+pooling-allocator-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+posix-signals-on-macos-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+posix-signals-on-macos-devel %{_description}

This package contains library source intended for building other packages which
use the "posix-signals-on-macos" feature of the "%{crate}" crate.

%files       -n %{name}+posix-signals-on-macos-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasmtime-cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime-cache-devel %{_description}

This package contains library source intended for building other packages which
use the "wasmtime-cache" feature of the "%{crate}" crate.

%files       -n %{name}+wasmtime-cache-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasmtime-cranelift-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime-cranelift-devel %{_description}

This package contains library source intended for building other packages which
use the "wasmtime-cranelift" feature of the "%{crate}" crate.

%files       -n %{name}+wasmtime-cranelift-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasmtime-fiber-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime-fiber-devel %{_description}

This package contains library source intended for building other packages which
use the "wasmtime-fiber" feature of the "%{crate}" crate.

%files       -n %{name}+wasmtime-fiber-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wat-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wat-devel %{_description}

This package contains library source intended for building other packages which
use the "wat" feature of the "%{crate}" crate.

%files       -n %{name}+wat-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * doctests implicitly use on other crates from the same workspace
%cargo_test -- --lib
%endif

%changelog
* Thu Mar 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.33.0-1
- Initial import (#2051212)
